import os

from joblib import load
import numpy as np
from sklearn import datasets
from sklearn.utils import shuffle
import pandas as pd
from sqlalchemy import create_engine



MODEL_DIR = os.environ["MODEL_DIR"]
MODEL_FILE = os.environ["MODEL_FILE"]
METADATA_FILE = os.environ["METADATA_FILE"]
MODEL_PATH = os.path.join(MODEL_DIR, MODEL_FILE)
METADATA_PATH = os.path.join(MODEL_DIR, METADATA_FILE)

def get_data():
    """
    Return data for inference.
    """
    print("Loading data...")
    mysql_engine = create_engine("mysql+mysqlconnector://root:secret@mysql_db/mysql")

    #host use alias name
    with mysql_engine.connect() as mysql_conn:
        df = pd.read_sql('''select * from boston_housing_price''', mysql_conn)
        df.set_index ('id', inplace= True) 
        return df

print("Running inference...")

X=get_data().to_numpy()

#print(X)
# #############################################################################
# Load model
print("Loading model from: {}".format(MODEL_PATH))
clf = load(MODEL_PATH)

# # #############################################################################
# # Run inference
print("Scoring observations...")
y_pred = clf.predict(X)
print(y_pred)